Loading...
Searching...
No Matches
loggingrb.h File Reference
Osmocom ringbuffer-backed logging

Go to the source code of this file.

## Functions

size_t | log_target_rb_used_size (struct log_target const *target)
| Return the number of log strings in the osmo_strrb-backed target.
size_t | log_target_rb_avail_size (struct log_target const *target)
| Return the capacity of the osmo_strrb-backed target.
const char * | log_target_rb_get (struct log_target const *target, size_t logindex)
| Return the nth log entry in a target.
struct log_target * | log_target_create_rb (size_t size)
| Create a new logging target for ringbuffer-backed logging.